Disk ARchive: libdar::crit_in_place_is_inode Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::crit_in_place_is_inode Class Reference
API

returns true if the first entry is an inode (whatever is the second) More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions
| crit_in_place_is_inode (const crit_in_place_is_inode &ref)=default
| crit_in_place_is_inode (crit_in_place_is_inode &&ref) noexcept=default
crit_in_place_is_inode & | operator= (const crit_in_place_is_inode &ref)=default
crit_in_place_is_inode & | operator= (crit_in_place_is_inode &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

returns true if the first entry is an inode (whatever is the second)

Note
  the current only entry that can be found in an archive which is not an inode, is an entry signaling that a file has been destroyed since the archive of reference.

Definition at line 86 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_in_place_is_inode()

libdar::crit_in_place_is_inode::crit_in_place_is_inode | ( |  | ) |
| inline

Definition at line 89 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_in_place_is_inode::clone | ( |  | ) | const
| inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 97 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_in_place_is_inode::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| overridevirtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp